Package org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

# Class PureJ2SERetryVisibilityTest

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.PureJ2SERetryVisibilityTest

public class PureJ2SERetryVisibilityTest extends Object
Checks standard Java annotation retrievals for Retry annotation.

Author:
  Matthieu Brouillard

## Constructor Summary

Constructors
Constructor
Description
`PureJ2SERetryVisibilityTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkBaseRomRetryMissingOnMethod()`
`void`
`checkRetryVisibilityOnRetryServiceMethodSuppressLevel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PureJ2SERetryVisibilityTest

public PureJ2SERetryVisibilityTest()

## Method Details

### checkRetryVisibilityOnRetryServiceMethodSuppressLevel

public void checkRetryVisibilityOnRetryServiceMethodSuppressLevel() throws Exception

Throws:
  `Exception`

### checkBaseRomRetryMissingOnMethod

public void checkBaseRomRetryMissingOnMethod() throws Exception

Throws:
  `Exception`